/*
 * Paraselene
 * Copyright (c) 2009, 2010  Akira Terasaki
 * このファイルは同梱されているLicense.txtに定めた条件に同意できる場合にのみ
 * 利用可能です。
 */
package paraselene.ajax.data;

import java.io.*;
import java.util.*;

public class JsonWriter extends PrintWriter {
	private ArrayList<String>	script = new ArrayList<String>();

	JsonWriter(){
		super( new CharArrayWriter() );
	}

	public String toString() {
		return out.toString();
	}

	public void addScript( String ... cmd ) {
		for ( int i = 0; i < cmd.length; i++ ) {
			script.add( cmd[i] );
		}
	}

	String[] getScript() {
		return script.toArray( new String[0] );
	}
}

